%{!?dist: %define dist .slc6}
%define debug_package %{nil}

Name:		tty-kraven
Version:	2.0
Release:	5%{?dist}

Summary:	Kernel module to detect tty hijacking	  
Group:		System Environment/Kernel
License:	GPLv2+
URL:		http://www.cern.ch/
Vendor:		CERN, http://cern.ch/linux
BuildRoot:	%{_tmppath}/%{name}-%{version}-buildroot
BuildRequires:	sed, redhat-rpm-config
BuildRequires:	%kernel_module_package_buildreqs
ExclusiveArch:	i686 x86_64

Source0:	%{name}-%{version}.tgz
Source1:	%{name}.files
Source2:	%{name}.conf
Source3:	%{name}.modules

# Build only for standard kernel variant(s)
%kernel_module_package -f %{SOURCE1} default

%description
%{name} is a Loadable Kernel Module that detects session hijacking

%prep
%setup -q
set -- *
mkdir source
mv "$@" source/
mkdir obj

%build
for flavor in %flavors_to_build ; do
	rm -rf obj/$flavor
	cp -r source obj/$flavor

	# update symvers file if existing
	symvers=source/Module.symvers-%{_target_cpu}
	if [ -e $symvers ]; then
		cp $symvers obj/$flavor/Module.symvers
	fi

	make -C %{kernel_source $flavor} M=$PWD/obj/$flavor
done

%install
rm -rf $RPM_BUILD_ROOT
export INSTALL_MOD_PATH=$RPM_BUILD_ROOT
export INSTALL_MOD_DIR=extra/tty-kraven
for flavor in %flavors_to_build ; do 
	make -C %{kernel_source $flavor} modules_install \
		M=$PWD/obj/$flavor
	# Cleanup unnecessary kernel-generated module dependency files.
	find $INSTALL_MOD_PATH/lib/modules -iname 'modules.*' -exec rm {} \;
done

mkdir -p ${RPM_BUILD_ROOT}/etc/depmod.d/
install -m644 -D %{SOURCE2} $RPM_BUILD_ROOT/etc/depmod.d/

#Load at boot time
mkdir -p ${RPM_BUILD_ROOT}/etc/sysconfig/modules/
install -m0755 %{SOURCE3} ${RPM_BUILD_ROOT}/etc/sysconfig/modules/

%clean
rm -rf $RPM_BUILD_ROOT

%changelog
* Tue Jun 12 2018  Vincent Brillault <vincent.brillault@cern.ch> - 2.0-5
- Rebuild to add support for retpoline

* Thu Aug 24 2017 Vincent Brillault <vincent.brillault@cern.ch> - 2.0-4
- Rebuild for Centos 7.4 (d_path symbol version change)

* Thu Sep 04 2014 Vincent Brillault <vincent.brillault@cern.ch> - 2.0
- Fresh new implementation, using directly tty_audit_tiocsti

* Fri Jul 20 2012 Panos Sakkos <panos.sakkos@cern.ch> - 1.13
- Fixes for the deployment

* Fri Mar 23 2012 Jaroslaw Polok <jaroslaw.polok@cern.ch> - 1.0
- changed packaging for SLC6, following RHEL6 kmod packaging.
